package more.ssaqms.xiamen;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication
@MapperScan({"more.commons", "more.ssaqms.xiamen"})
@ComponentScan(basePackages = {"more.commons", "more.ssaqms.xiamen"})
@EnableTransactionManagement
@EnableAsync
public class XiamenApplication {

    public static void main(String[] args) {
        SpringApplication.run(XiamenApplication.class, args);
        System.out.println(
                        "  (♥◠‿◠)ﾉﾞ   报告生成服务     ლ(´ڡ`ლ)ﾞ    \n" +
                        "    /|    //| |                            \n" +
                        "   //|   // | |     ___      __      ___   \n" +
                        "  // |  //  | |   //   ) ) //  ) ) //___) )\n" +
                        " //  | //   | |  //   / / //      //       \n" +
                        "//   |//    | | ((___/ / //      ((____   ");
    }
}
