package more.ssaqms.xiamen.handler.day.good;

import more.commons.utils.tool.DateUtils;
import more.ssaqms.xiamen.model.report.TimeRange;
import org.springframework.stereotype.Component;

import java.text.MessageFormat;
import java.util.Calendar;
import java.util.Date;

@Component
public class ReachGoodChapter {

    public String html(TimeRange dayTimeRange){
        Date beginTime = dayTimeRange.getBeginTime();
        Calendar ca = Calendar.getInstance();
        ca.setTime(beginTime);
        StringBuilder sb = new StringBuilder();
        sb.append(textBoldPart1(MessageFormat.format("厦门市大气超级站{0}数据分析报告",DateUtils.formatDate(beginTime,"MM月dd日"))));
        sb.append(textBoldPart1(""));
        return sb.toString();
    }

    private String textBoldPart1(String text) {
        return "<p style=\"margin: 0px; text-align: center; line-height: 1.1;\">" +
                "<span style=\"font-size: 22pt; font-family: 黑体, SimSun;\">" + text + "</span>\n" +
                "</p>";
    }

    private String textBoldPart2(String text) {
        return "<p style=\"margin: 0px; text-indent: 2em; line-height: 1.1;\">" +
                "<span style=\"font-size: 16pt; font-family: 仿宋_GB2312, SimSun;\">" + text + "</span>\n" +
                "</p>";
    }
}
