package more.ssaqms.xiamen.model.airquality;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import more.ssaqms.xiamen.model.reachGood.*;

import java.util.Date;
import java.util.List;

/**
 * @author zuo
 * @date 2024/8/28 16:16
 */
@Data
public class AirQualityInput {

    @ApiModelProperty(value = "报告时间，年月日", required = true)
    private Date date;

    @ApiModelProperty(value = "siteAqiDatas数据", required = true)
    private List<SiteAqiData> siteAqiDatas;

    @ApiModelProperty(value = "monthSiteAqiDatas数据", required = true)
    private List<SiteAqiData> monthSiteAqiDatas;

    @ApiModelProperty(value = "regionSiteAqiDatas数据", required = true)
    private List<SiteAqiData> regionSiteAqiDatas;

    @ApiModelProperty(value = "monthRegionSiteAqiDatas数据", required = true)
    private List<SiteAqiData> monthRegionSiteAqiDatas;

    @ApiModelProperty(value = "siteComplexData数据", required = true)
    private SiteComplexData siteComplexData;
}
