package more.ssaqms.xiamen.model.airquality;

import lombok.Data;
import more.ssaqms.xiamen.model.traffic.GradeData;
import more.ssaqms.xiamen.model.traffic.PollutantData;

import java.util.List;

@Data
public class SiteAqiData {
    //站点id
    private String siteId;

    //站点名称
    private String siteName;

    //站点综合指数
    private Float value;

    //优良率
    private Float excellentRate;

    //污染物平均浓度
    private List<PollutantData> pollutantDatas;

    //aqi级别数据
    private List<GradeData> gradeDatas;

    //综合指数同比差值
    private Float offset;

    //综合指数同比
    private Float yoyPercent;

    //空气质量达标比率同比
    private Float excellentRatePercent;

    //站点按月统计首要污染物因子Ids 首要污染物是指每个因子综合指数最大的因子
    private List<String> primaryPollutantFactorIds;
}
