package more.ssaqms.xiamen.model.audit;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author zuo
 * @date 2023/8/1 17:18
 */
@Data
public class RestoreHourlyReceive {

    @ApiModelProperty(value = "时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    @NotNull(message = "小时数据时间不能为空")
    private Date dataTime;

    @ApiModelProperty(value = "站点设备id", required = true)
    private String siteDeviceId;

    @ApiModelProperty(value = "因子id", required = true)
    private String factorId;
}
