package more.ssaqms.xiamen.model.data;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/5/5 11:12 上午
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
public class SiteAuditDataExceptionCount {

  @ApiModelProperty(value = "站点主键", required = true)
  @TableField
  String siteId;

  @ApiModelProperty(value = "站房仪器主键", required = true)
  @TableField
  String siteDeviceId;

  @ApiModelProperty(value = "统计数量", required = true)
  @TableField
  Integer count;

  @ApiModelProperty(value = "审核备注", required = true)
  @TableField
  String auditComment;

  @ApiModelProperty(value = "类型: 1. 数据缺失 2. 审核剔除;", required = true)
  @TableField
  Integer type;

  private String deviceName = "";
}
