package more.ssaqms.xiamen.model.download;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.Date;

@Data
public class HourDataResponse {
    @JsonProperty("Date_Time")
    @JsonFormat(locale = "zh",timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    //数据时间
    private Date dataTime;

    @JsonProperty("SO2")
    private Float so2;

    @JsonProperty("NO2")
    private Float no2;

    @JsonProperty("CO")
    private Float co;

    @JsonProperty("O3")
    private Float o3;

    @JsonProperty("PM10")
    private Float pm10;

    @JsonProperty("PM2_5")
    private Float pm25;

    @JsonProperty("风速")
    private Float windSpeed;

    @JsonProperty("风向")
    private Float windDirection;

    @JsonProperty("温度")
    private Float temperature;

    @JsonProperty("湿度")
    private Float humidity;

    @JsonProperty("气压")
    private Float pressure;
}
