package more.ssaqms.xiamen.model.ekma;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author zuo
 * @date 2023/9/20 17:21
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_ekma_data_path")
public class EkmaData {

    @ApiModelProperty(value = "主键id")
    @TableId(type = IdType.NONE)
    private String id;

    @ApiModelProperty(value = "数据时间")
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date dataTime;

    @ApiModelProperty(value = "站点id")
    private String siteId;

    @ApiModelProperty(value = "json文件路径")
    private String path;
}
