package more.ssaqms.xiamen.model.factor;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/4/5 16:00
 */
@ApiModel(value = "物质标准名称数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_factor_standard_name")
public class FactorStandardName {

    @ApiModelProperty(value = "主键,因子id", required = true)
    @TableId
    private String factorId;

    @ApiModelProperty(value = "物质标准名称", required = true)
    @TableField
    private String factorStandardName;

    @ApiModelProperty(value = "物质英文名称", required = true)
    @TableField
    private String factorEnName;

    @ApiModelProperty(value = "物质种别", required = true)
    @TableField
    private String species;

    @ApiModelProperty(value = "CAS", required = true)
    @TableField
    private String cas;

    @ApiModelProperty(value = "分数", required = true)
    @TableField
    private Double score;

    @ApiModelProperty(value = "大类", required = true)
    @TableField
    private String sort;
}
