package more.ssaqms.xiamen.model.factor;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author purpose
 * @version 1.0
 * @date 2021/6/24 7:08 下午
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_related_factor")
public class RelatedFactor {

    @ApiModelProperty(value = "主键", required = true)
    @NotBlank
    @TableId
    private String factorId;

    @ApiModelProperty(value = "相关的因子主键", required = true)
    @NotBlank
    @TableId
    private String relatedFactorId;

    @ApiModelProperty(value = "相关系数下限", required = true)
    @NotNull
    @TableField
    private Float relatedLow;

    @ApiModelProperty(value = "相关系数上限", required = true)
    @NotNull
    @TableField
    private Float relatedHigh;
}
