package more.ssaqms.xiamen.model.factor;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author purpose
 * @version 1.0
 * @date 2021/6/24 7:08 下午
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_specific_value_factor")
public class SpecificValueFactor {

    @ApiModelProperty(value = "主键", required = true)
    @NotBlank
    @TableId
    private String factorId;

    @ApiModelProperty(value = "比值的因子主键", required = true)
    @NotBlank
    @TableId
    private String specificValueFactorId;

    @ApiModelProperty(value = "比值系数下限,低于这个值为不合格", required = true)
    @NotNull
    @TableField
    private Float specificValueLow;
}
