package more.ssaqms.xiamen.model.home;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @Author zuo
 * @Date 2021/11/8 16:40
 */
@ApiModel(value = "首页热力图数据接收参数模型")
@Data
@ToString
@Accessors(chain = true)
public class ThermodynamicReceive {

    @ApiModelProperty(value = "因子ids")
    private List<String> factorIds;

    @ApiModelProperty(value = "因子分类ids")
    private List<String> factorGroupIds;

    @ApiModelProperty(value = "查询分类情况时需要带单位,没有默认ppb")
    private String unit;

    @ApiModelProperty(value = "是否审核完毕数据")
    private Boolean isAuditCompleted;
}
