package more.ssaqms.xiamen.model.operation.integral;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import more.ssaqms.xiamen.model.factor.FactorAliasStandardName;

import java.util.Date;
import java.util.List;

/**
 * @author zuo
 * @date 2022/8/9 16:20
 */
@Data
public class ConfirmData {

    @ApiModelProperty(value = "开始时间")
    private Date beginTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "key")
    private String keyStr;

    @ApiModelProperty(value = "站房ID")
    private String siteId;

    @ApiModelProperty(value = "站房仪器ID")
    private String siteDeviceId;

    @ApiModelProperty(value = "站房ID")
    private List<FactorAliasStandardName> factorAliasStandardNames;

}
