package more.ssaqms.xiamen.model.operation.integral;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Author zuo
 * @Date 2021/10/25 18:07
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_multiple_integral_upload_log")
public class IntegralUploadLog {

    @ApiModelProperty(value = "导入数据开始时间")
    @TableField
    private Date beginTime;

    @ApiModelProperty(value = "导入数据结束时间")
    @TableField
    private Date endTime;

    @ApiModelProperty(value = "站点id")
    @TableField
    private String siteId;

    @ApiModelProperty(value = "站点设备id")
    @TableField
    private String siteDeviceId;

    @ApiModelProperty(value = "导入组织")
    @TableField
    private String orgId;

    @ApiModelProperty(value = "导入用户")
    @TableField
    private Integer userId;

    @ApiModelProperty(value = "用户名称",hidden = true)
    @TableField(exist = false)
    private String userName;

    @ApiModelProperty(value = "导入组织名称",hidden = true)
    @TableField(exist = false)
    private String orgName;

    @ApiModelProperty(value = "状态,是否导入成功")
    @TableField
    private Boolean state;

    @ApiModelProperty(value = "导入时间")
    @TableField
    private Date createTime;


}
