package more.ssaqms.xiamen.model.quality;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author zuo
 * @date 2022/3/7 14:24
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_qc_auto_audit_config")
public class AutoAuditQCConfig {

    @ApiModelProperty(value = "id", required = true)
    @TableId(type = IdType.AUTO)
    private String id;

    @ApiModelProperty(value = "自动审核质控数据名称", required = true)
    @TableField
    private String name;

    @ApiModelProperty(value = "状态:是否启用", required = true)
    @TableField
    private Boolean status;

    @ApiModelProperty(value = "计算公式", required = true)
    @TableField
    private String formula;

    @ApiModelProperty(value = "解释说明")
    @TableField
    private String explanation;

    @ApiModelProperty(value = "解释说明")
    @TableField
    private String formulaAnalysis;

    @ApiModelProperty(value = "参数",hidden = true)
    @TableField(exist = false)
    private List<AutoAuditQCConfigParams> params;

}
