package more.ssaqms.xiamen.model.quality;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * @author zuo
 * @date 2022/3/8 10:19
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_qc_auto_audit_config_params")
public class AutoAuditQCConfigParams {

    @ApiModelProperty(value = "对应t_qc_auto_audit_config的id", hidden = true)
    @TableField()
    private String autoAuditQcConfigId;

    @ApiModelProperty(value = "参数", hidden = true)
    @TableField
    private String param;

    @ApiModelProperty(value = "参数中文名", hidden = true)
    @TableField
    private String name;

    @ApiModelProperty(value = "参数说明", hidden = true)
    @TableField
    private String explanation;
}
