package more.ssaqms.xiamen.model.quality;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * @author purpose
 * @version 1.0
 * @date 2020/12/7 4:59 下午
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_site_quality_factor_category")
public class SiteQC {

    @ApiModelProperty(value = "id", required = true)
    @TableField
    private String siteId;

    @ApiModelProperty(value = "质控因子类型ID", required = true)
    @TableField
    private String qualityFactorCategoryId;

//    @ApiModelProperty(value = "运维组织Id", required = true)
//    @TableField
//    private String opsOrgId;
}
