package more.ssaqms.xiamen.model.reachGood;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zuo
 * @date 2024/8/28 16:16
 */
@Data
public class ReachGoodInput {

    @ApiModelProperty(value = "报告时间，年月日", required = true)
    private Date date;

    @ApiModelProperty(value = "第一章数据", required = true)
    private ReachGoodAqiData aqiData;

    @ApiModelProperty(value = "第二章数据", required = true)
    private ReachGoodWeatherData weatherData;

    @ApiModelProperty(value = "第三章数据", required = true)
    private ReachGoodVocData vocData;

    @ApiModelProperty(value = "第四章数据", required = true)
    private ReachGoodParticleData particleData;

    @ApiModelProperty(value = "第五章数据", required = true)
    private ReachGoodLidarData lidarData;
}
