package more.ssaqms.xiamen.model.report;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;
import more.ssaqms.xiamen.model.data.HistoricalData;
import more.ssaqms.xiamen.model.factor.Factor;

import java.util.ArrayList;
import java.util.List;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/5/10 10:40 上午
 */
@Data
@ToString
@Accessors(chain = true)
public class ChartData {
  private String name;

  private List<Factor> dimensions;

  private List<HistoricalData> dataList = new ArrayList<>();

  public ChartData(Factor factor) {
    this.name = factor.getDisplayName();
  }

  public ChartData add(HistoricalData data) {
    this.dataList.add(data);
    return this;
  }
}
