package more.ssaqms.xiamen.model.report;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/5/9 5:56 下午
 */
@Data
@ToString
@Accessors(chain = true)
public class LineData {

  private String siteId;

  private String factorId;

  private Date dataTime;

  private Float value;

  public LineData(String siteId, String factorId, Date dataTime, Float value) {
    this.siteId = siteId;
    this.factorId = factorId;
    this.dataTime = dataTime;
    this.value = value;
  }
}
