package more.ssaqms.xiamen.model.report;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.ArrayList;
import java.util.List;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/5/5 10:17 上午
 */
@Data
@ToString
@Accessors(chain = true)
public class ReportCaptureEffectiveException {
  private String siteName;

  private List<String> exceptionDevices = new ArrayList<>();

  public ReportCaptureEffectiveException(String siteName, String exceptionDevice) {
    this.siteName = siteName;
    this.addExceptionDevice(exceptionDevice);
  }

  public void addExceptionDevice(String exceptionDevice) {
    this.exceptionDevices.add(exceptionDevice);
  }
}
