package more.ssaqms.xiamen.model.report;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/5/5 4:59 下午
 */
@Data
@ToString
@Accessors(chain = true)
public class ReportDeleteReason {

  String reason;

  List<String> deviceNameList;

  public ReportDeleteReason(String reason, List<String> deviceNameList) {
    this.reason = reason;
    this.deviceNameList = deviceNameList;
  }

  public ReportDeleteReason add(String deviceName) {
    this.deviceNameList.add(deviceName);
    return this;
  }
}
