package more.ssaqms.xiamen.model.report;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.ArrayList;
import java.util.List;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/5/5 4:14 下午
 */
@Data
@ToString
@Accessors(chain = true)
public class ReportNoDataReason {

  private String deviceName;

  private List<String> noDataReasonList = new ArrayList<>();

  public ReportNoDataReason(String deviceName) {
    this.deviceName = deviceName;
  }

  public ReportNoDataReason add(String auditComment, int count) {
    if (auditComment != null) {
      List<String> noDataReasonList = this.noDataReasonList;
      noDataReasonList.add(new StringBuilder(noDataReasonList.size() == 0 ? "因" : "").append(auditComment).append("导致缺失").append(count).append("小时数据").toString());
    }

    return this;
  }
}
