package more.ssaqms.xiamen.model.site;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * @author zuo
 * @date 2022/8/04 9:50
 */
@ApiModel(value = "站房仪器用户模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_site_device_user")
public class SiteDeviceUser {

    @ApiModelProperty(value = "站点设备id", required = true)
    @NotBlank
    @TableField
    private String siteDeviceId;

    @ApiModelProperty(value = "组织id", required = true)
    @NotBlank
    @TableField
    private Integer userId;
}
