package more.ssaqms.xiamen.model.statistics;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/1/13 5:54 下午
 */
@ApiModel(value = "时间段")
@Data
@ToString
@Accessors(chain = true)
public class AQIPollutionTime {

    @ApiModelProperty(value = "开始时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date beginTime;

    @ApiModelProperty(value = "结束时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date endTime;


    public AQIPollutionTime(Date beginTime) {
        this.beginTime = beginTime;
    }
}
