package more.ssaqms.xiamen.model.statistics;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zuo
 * @date 2023/9/19 18:27
 */
@Data
public class EfData {

    /**
     * site_id
     */
    @ApiModelProperty(value = "站房id", required = true)
    @TableField
    private String siteId;

    /**
     * 因子id
     */
    @ApiModelProperty(value = "因子id", required = true)
    @TableField
    private String factorId;


    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    /**
     * 值
     */
    @ApiModelProperty(value = "富集因子值", required = true)
    @TableField
    private Float value;
}
