package more.ssaqms.xiamen.model.statistics;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Size;
import java.util.List;

/**
 * @Author zuo
 * @Date 2021/10/18 14:38
 */
@Data
public class OnlineReceive {

    @ApiModelProperty(value = "站点ids", required = true)
    @TableId
    @Size(min = 1, message = "至少要有一个站点id")
    private List<String> siteIds;
}
