package more.ssaqms.xiamen.model.statistics;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zuo
 * @date 2023/9/19 18:27
 */
@Data
public class SocData {

    /**
     * site_id
     */
    @ApiModelProperty(value = "站房id")
    @TableField
    private String siteId;

    @ApiModelProperty(value = "站点设备id")
    @TableField
    private String siteDeviceId;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间")
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    /**
     * 值
     */
    @ApiModelProperty(value = "Soc值")
    @TableField
    private Float value;

    /**
     * 值
     */
    @ApiModelProperty(value = "Soc值")
    @TableField
    private Float socValue;

    /**
     * 值
     */
    @ApiModelProperty(value = "Poc值")
    @TableField
    private Float pocValue;
}
