package more.ssaqms.xiamen.model.statistics;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/8/6 13:07
 */

@Data
public class StatisticData {


    /**
     * site_id
     */
    @ApiModelProperty(value = "站房id", required = true)
    @TableField
    private String siteId;

    /**
     * 站房仪器表id
     */
    @ApiModelProperty(value = "站房仪器表id", required = true)
    @TableField
    private String siteDeviceId;

    /**
     * 因子id
     */
    @ApiModelProperty(value = "因子id", required = true)
    @TableField
    private String factorId;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @TableField
    private String dataTime;

    /**
     * 值
     */
    @ApiModelProperty(value = "值", required = true)
    @TableField
    private Float value;
}
