package more.ssaqms.xiamen.model.statistics;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/7/26 10:17
 */
@Data
public class YoyData {

    /**
     * site_id
     */
    @ApiModelProperty(value = "站房id", required = true)
    @TableField
    private String siteId;

    /**
     * 站房仪器表id
     */
    @ApiModelProperty(value = "站房仪器表id", required = true)
    @TableField
    private String siteDeviceId;

    /**
     * 因子id
     */
    @ApiModelProperty(value = "因子id", required = true)
    @TableField
    private String factorId;


    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @TableField
    private String dataTime;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间,string格式", required = true)
    @TableField
    private String dataTimeStr;

    /**
     * 均值
     */
    @ApiModelProperty(value = "均值", required = true)
    @TableField
    private Float avgValue;

    /**
     * 和值
     */
    @ApiModelProperty(value = "和值", required = true)
    @TableField
    private Float sumValue;


    public YoyData() {
    }
}
