package more.ssaqms.xiamen.model.supper;

import lombok.Data;
import more.ssaqms.xiamen.model.statistics.AvgData;
import more.ssaqms.xiamen.model.statistics.PollutantData;
import java.util.List;
import java.util.Map;

/**
 * @author zuo
 * @date 2024/1/31 14:28
 */

@Data
public class VocsData {

    private String siteId;

    private String siteName;

    private Float avg;

    private Float min;

    private Float max;

    private List<AvgData> monthDataList;

    private String chartUrl;

    private String picChartUrl;

    private List<PollutantData> ofpList;

    private String ofpChartUrl;

    private List<PollutantData> soaList;

    private String soaChartUrl;
}
