package more.ssaqms.xiamen.model.traffic;

import lombok.Data;

import java.util.List;

@Data
public class SiteAqiData {
    //站点id
    private String siteId;

    //站点名称
    private String siteName;

    //站点综合指数
    private Float value;

    //有效监测天数
    private Integer day;

    //优良率
    private Float excellentRate;

    //优级率
    private Float superiorRate;

    //污染物平均浓度
    private List<PollutantData> pollutantDatas;

    //aqi级别数据
    private List<GradeData> gradeDatas;

    //各因子综合指数
    private List<PollutantData> composites;

    //上月综合指数
    private Float lastValue;

    //与上月综合指数环比
    private Float lastValuePercent;

    //上月空气质量
    private Float lastAqiValue;

    //与上月空气质量环比
    private Float lastAqiValuePercent;

    //国控点综合指数
    private Float lastStateValue;

    //与同期国控点环比
    private Float lastStateValuePercent;

    //国控点空气质量
    private Float lastStateAqiValue;

    //与同期国控空气质量
    private Float lastStateAqiValuePercent;
}
