package more.ssaqms.xiamen.model.transmission;

import lombok.Data;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/4/30 11:48
 */
@Data
public class RadarVolumeWindData {

    private Double deg;

    private Double longitude;

    private Double latitude;

    private Double value;

    public RadarVolumeWindData() {
    }

    public RadarVolumeWindData(String[] split) {
        this.latitude = Double.valueOf(split[0]);
        this.longitude = Double.valueOf(split[1]);
        this.value = Double.valueOf(split[2]);
        this.deg = Double.valueOf(split[3]);
    }
}
