package more.ssaqms.xiamen.model.audit;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2020/6/11 18:55
 */

@Data
public class AuditDataFactor {
    /**
     * 因子ID
     */
    @ApiModelProperty(value = "因子ID", required = true)
    private String factorId;
    /**
     * 站房和设备ID
     */
    @ApiModelProperty(value = "站房和设备ID", required = true)
    private String siteDeviceId;

    /**
     * 因子的各种数采标签
     */
    @ApiModelProperty(value = "因子的各种数采标签List", required = true)
    private List<AuditDataFlag> auditDataFlags;

}
