package more.ssaqms.xiamen.model.audit;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2020/6/9 17:47
 */
@Data
@Accessors(chain = true)
public class AuditDataSummary {

    /**
     * 因子分组ID
     */
    @ApiModelProperty(value = "因子分组ID", required = true)
    private String factorGroupId;

    /**
     * 分组下包含的因子
     */
    @ApiModelProperty(value = "分组下包含的因子", required = true)
    private List<AuditDataFactor> auditDataFactors;
}
