package more.ssaqms.xiamen.model.audit;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/7/1 15:34
 */
@Data
public class AuditMessageDTO {

    @NotBlank
    private String siteDeviceId;

    @Size(min = 1)
    private List<String> ids;


    private String auditComment;


    private String auditFlag;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private List<Date> dataTimes;
}
