package more.ssaqms.xiamen.model.das;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/6/28 16:38
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_das")
public class Das {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true)
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 数采来源(中文名)
     */
    @ApiModelProperty(value = "数采来源(中文名)", required = true)
    @TableField
    @NotBlank
    private String name;
}
