package more.ssaqms.xiamen.model.factor;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @author purpose
 * @version 1.0
 * @date 2021/6/25 2:12 下午
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
public class RelatedFactorWrapper {

    // 因子ID
    @NotBlank
    private String factorId;

    // 相关因子列有
    List<RelatedFactor> relatedFactors;
}
