package more.ssaqms.xiamen.model.forecast;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author zuo
 * @date 2022/11/30 16:25
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_aqi_forecast_data")
public class AqiForecast {

    @ApiModelProperty(value = "预测数据时间")
    @TableField
    private Date dataTime;

    @ApiModelProperty(value = "数据高度")
    @TableField
    private Integer height;

    @ApiModelProperty(value = "因子id")
    @TableField
    private String factorId;

    @ApiModelProperty(value = "城市名称，同AQI配置参数的城市名称t_aqi_getting_city表的名称")
    @TableField
    private String cityName;

    @ApiModelProperty(value = "值，单位同因子表中的das_unit")
    @TableField
    private Float value;

    @ApiModelProperty(value = "预测时间（那天预测的）")
    @TableField
    private Date forecastDate;
}
