package more.ssaqms.xiamen.model.jwt;

import lombok.Data;
import more.ssaqms.xiamen.model.site.Site;

/**
 * @author zuo
 * @date 2022/12/13 12:06
 */
@Data
public class ExternalSite {

    private String siteId;

    private String name;

    private Double longitude;

    private Double latitude;

    public ExternalSite() {
    }

    public ExternalSite(Site site) {
        this.siteId = site.getId();
        this.name = site.getName();
        this.longitude = site.getLongitude();
        this.latitude = site.getLatitude();
    }
}
