package more.ssaqms.xiamen.model.jwt;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zuo
 * @date 2022/12/9 16:27
 */
@Data
public class JWTUser {

    @ApiModelProperty(value = "用户名", example = "lg_platform")
    private String userName;

    @ApiModelProperty(value = "密码", example = "pDj0Xwz7exD_Qb5B27BwWsM1hrF3a7cJ")
    private String password;

    public JWTUser() {
    }

    public JWTUser(String userName, String password) {
        this.userName = userName;
        this.password = password;
    }
}
