package more.ssaqms.xiamen.model.maintain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * @Author zuo
 * @Date 2021/9/29 11:16
 */
@Data
public class SitesDeviceInfoReceive {

    @ApiModelProperty(value = "站点ids", required = true)
    @Size(min = 1,message = "至少需要查询一个站点id")
    private List<String> siteIds;

    @ApiModelProperty(value = "数据结束时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    @NotNull(message = "时间不能为空")
    private Date dataTime;
}
