package more.ssaqms.xiamen.model.pmf;

import lombok.Data;
import more.ssaqms.xiamen.model.factor.Factor;

/**
 * @author zuo
 * @date 2023/1/11 15:08
 */
@Data
public class FactorEntity {

    private String id;

    private Float detectionLimit;

    private String unit;

    private Float weight;

    public FactorEntity() {
    }

    public FactorEntity(Factor factor) {
        this.id = factor.getId();
        this.detectionLimit = factor.getDetectionLimit();
        this.unit = factor.getStdUnit();
        this.weight = factor.getMolecular();
    }
}
