package more.ssaqms.xiamen.model.quality;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * @author zuo
 * @date 2022/3/9 11:46
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_qc_factor")
public class QcFactor {

    /**
     * 物质id
     */
    private String factorId;

    /**
     * 是否需要判断TOP14
     */
    private Boolean top;

    /**
     * 关键组分因子计次
     */
    private Integer crux;
}
