package more.ssaqms.xiamen.model.region;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * @author zuo
 * @date 2024/2/21 18:29
 */
@ApiModel(value = "站点预测数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_region")
public class Region {

    @ApiModelProperty(value = "id")
    @TableId
    private String id;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "name")
    @TableField
    private String name;

}
