package more.ssaqms.xiamen.model.report;

import lombok.Data;
import more.ssaqms.xiamen.model.data.ParaData;
import more.ssaqms.xiamen.model.statistics.AqiData;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author zuo
 * @date 2022/11/7 17:04
 */
@Data
public class DailyReportData {

    private String dateStr;

    private String cityName;

    private String aqiStr;

    private String gradeStr;

    private Map<String, Object> pm10CalculateMap;

    private Map<String, Object> pm25CalculateMap;

    private Map<String, Object> so2CalculateMap;

    private Map<String, Object> no2CalculateMap;

    private Map<String, Object> o3CalculateMap;

    private Map<String, Object> o38hCalculateMap;

    private Map<String, Object> coCalculateMap;

    private Map<String, Float> yearAvgMap;

    private Map<String, Float> lastYearAvgMap;

    private String h8O3MaxStatus;

    private String h8O3MaxP;

    private Integer goodDay;

    private Integer allDay;

    private Integer goodDayLast;

    private String table1;

    private Map<String, Object> noxMap;

    private String vocParaSortStr;

    private List<ParaData> vocsAvgList;

    private TimeSeriesChart timeSeriesChart;

    private PieChart pieChart;

    private Map<String, Map<String, List<Float>>> siteDataMap;

    private Map<String, String> siteNameMap;

    private Map<String, Serializable> yoyMap;

    private  List<AqiData> aqiList;

    public DailyReportData(String dateStr, String cityName, String aqiStr, String gradeStr, Map<String, Object> pm10CalculateMap,
                           Map<String, Object> pm25CalculateMap, Map<String, Object> so2CalculateMap, Map<String, Object> no2CalculateMap,
                           Map<String, Object> o3CalculateMap, Map<String, Object> o38hCalculateMap, Map<String, Object> coCalculateMap,
                           Map<String, Float> yearAvgMap, Map<String, Float> lastYearAvgMap, String h8O3MaxStatus,
                           String h8O3MaxP, Integer goodDay, Integer allDay, Integer goodDayLast, String table1, Map<String, Object> noxMap,
                           String vocParaSortStr,List<ParaData> vocsAvgList,TimeSeriesChart timeSeriesChart,PieChart pieChart,
                           Map<String, Map<String, List<Float>>> siteDataMap,Map<String, String> siteNameMap,Map<String, Serializable> yoyMap,List<AqiData> aqiList) {
        this.dateStr = dateStr;
        this.cityName = cityName;
        this.aqiStr = aqiStr;
        this.gradeStr = gradeStr;
        this.pm10CalculateMap = pm10CalculateMap;
        this.pm25CalculateMap = pm25CalculateMap;
        this.so2CalculateMap = so2CalculateMap;
        this.no2CalculateMap = no2CalculateMap;
        this.o3CalculateMap = o3CalculateMap;
        this.o38hCalculateMap = o38hCalculateMap;
        this.coCalculateMap = coCalculateMap;
        this.yearAvgMap = yearAvgMap;
        this.lastYearAvgMap = lastYearAvgMap;
        this.h8O3MaxStatus = h8O3MaxStatus;
        this.h8O3MaxP = h8O3MaxP;
        this.goodDay = goodDay;
        this.allDay = allDay;
        this.goodDayLast = goodDayLast;
        this.table1 = table1;
        this.noxMap = noxMap;
        this.vocParaSortStr = vocParaSortStr;
        this.vocsAvgList =  vocsAvgList;
        this.timeSeriesChart =  timeSeriesChart;
        this.pieChart =  pieChart;
        this.siteDataMap =  siteDataMap;
        this.siteNameMap =  siteNameMap;
        this.yoyMap =  yoyMap;
        this.aqiList =  aqiList;
    }

    public DailyReportData() {
    }
}
