package more.ssaqms.xiamen.model.report;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/5/10 6:38 下午
 */
@Data
@ToString
@Accessors(chain = true)
public class PieData {

  private String id;

  private String name;

  private Float value = 0f;

  public PieData() {
  }

  public PieData(String name) {
    this.name = name;
  }

  public PieData(String name, Float value) {
    this.name = name;
    this.value = value;
  }

  public PieData(String id, String name, Float value) {
    this.id = id;
    this.name = name;
    this.value = value;
  }

  public PieData add(Float value) {
    this.value += value;
    return this;
  }
}
