package more.ssaqms.xiamen.model.report;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;
import more.ssaqms.xiamen.model.factor.Factor;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/5/9 12:07 下午
 */
@Data
@ToString
@Accessors(chain = true)
public class ReportMonthAvgStatistic {
  private Factor factor;

  private float sum = 0f;

  private int count = 0;

  public ReportMonthAvgStatistic(Factor factor) {
    this.factor = factor;
  }

  public ReportMonthAvgStatistic setSum(Float value) {
    Factor factor = this.factor;
//    value = CalculationUtils.UnitConverter(value, factor.getStdUnit(), factor.getDisplayUnit(), factor.getMolecular());
    this.sum += value;
    this.count++;
    return this;
  }

  public ReportMonthAvgStatistic setSumValue(Float value) {
    this.sum = value;
    return this;
  }
}
