package more.ssaqms.xiamen.model.report;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/6/18 4:05 PM
 */
@Data
@ToString
@Accessors(chain = true)
public class ReportNameValue {

  private String id;

  private String name;

  private Float value;

  private String dataTime;

  public ReportNameValue(
    String id,
    String name,
    Float value
  ) {
    this.id = id;
    this.name = name;
    this.value = value;
  }

  public ReportNameValue(String id, String name, Float value, Date dataTime) {
    this(id, name, value);
    SimpleDateFormat dateFormat = new SimpleDateFormat("MM-dd HH");
    this.dataTime = dateFormat.format(dataTime);
  }
}
