package more.ssaqms.xiamen.model.site;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author zuo
 * @date 2022/5/23 11:31
 */

@Data
public class SaveSiteDeviceStatuses {


    @ApiModelProperty(value = "站点设备id", required = true)
    @NotNull
    @TableField
    private String siteDeviceId;

    @ApiModelProperty(value = "仪器状态ids", required = true)
    @NotNull
    @Size(min = 1)
    @TableField
    private List<String> statusIds;
}
