package more.ssaqms.xiamen.model.site;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

@ApiModel(value = "第三方站点匹配表")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_sta_site")
public class StaSite {
    @ApiModelProperty(value = "第三方站点Id", required = true)
    @NotBlank
    @TableField
    private String staId;

    @ApiModelProperty(value = "平台站点Id", required = true)
    @NotBlank
    @TableField
    private String siteId;
}
