package more.ssaqms.xiamen.model.statistics;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/1/16 8:57 上午
 */

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@ApiModel(value = "污染特征描述")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_pollution_characteristic")
public class PollutionCharacteristic {

    /**
     * 污染特征主键
     */
    @ApiModelProperty(value = "污染特征主键", required = true)
    @NotNull
    @TableId
    private Integer id;

    /**
     * 污染特征描述
     */
    @ApiModelProperty(value = "污染特征描述", required = true)
    @NotBlank
    @TableField
    private String description;
}
