package more.ssaqms.xiamen.model.statistics;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 【请填写功能名称】对象 t_site_device_online_count
 *
 * @author zuo
 * @date 2021-10-13
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_site_device_online_count")
public class SiteDeviceOnlineCount {

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    @TableField
    private Date dataTime;

    /**
     * 站房主键
     */
    @ApiModelProperty(value = "站房主键", required = true)
    @TableField
    private String siteId;

    /**
     * 站点名称
     */
    @ApiModelProperty(value = "站房主键", required = true)
    @TableField
    private String siteName;

    /**
     * 站点设备id
     */
    @ApiModelProperty(value = "站房主键", required = true)
    @TableField
    private String siteDeviceId;

    /**
     * 设备id
     */
    @ApiModelProperty(value = "站房主键", required = true)
    @TableField
    private String deviceId;

    /**
     * 设备名称
     */
    @ApiModelProperty(value = "站房主键", required = true)
    @TableField
    private String deviceName;

    /**
     * 是否在线(1为在线,0为不在线,2为设备关闭)
     */
    @ApiModelProperty(value = "站房主键", required = true)
    @TableField
    private Integer status;
}
