package more.ssaqms.xiamen.model.upload;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * @author zuo
 * @date 2022/6/29 18:20
 */

@ApiModel(value = "站点配置数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_site_config")
public class SiteConfig {

    @ApiModelProperty(value = "站房mn", required = true)
    @NotBlank
    @TableId
    private String mn;

    @ApiModelProperty(value = "站房id", required = true)
    @NotBlank
    @TableField
    private String siteId;


    @ApiModelProperty(value = "json配置信息", required = true)
    @NotBlank
    @TableField
    private String json;
}
