package more.ssaqms.xiamen.model.upload;

import lombok.Data;

/**
 * @author zuo
 * @date 2022/6/29 15:34
 */
@Data
public class UploadFactor {

    /**
     * 主键
     */
    private String id;

    /**
     * 因子类型 0检测因子 1仪器状态 2雷达 3动环
     */
    private Integer factorType;

    /**
     * 检测因子名
     */
    private String name;

    /**
     * 单位
     */
    private String unit;

    /**
     * 显示单位
     */
    private String displayUnit;

    /**
     * 因子分组id
     */
    private String categoryId;

    /**
     * 所有单位
     */
    private String units;

    /**
     * 分子量
     */
    private float weight;

    /**
     * 保留小数位数
     */
    private Integer decimalCount;

    /**
     * 设备id
     */
    private String deviceId;
}
